/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.gugawag.tabela.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author gwmendes
 */
public class MostraTabelaServlet extends HttpServlet {
   
    /** 
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();

        int qtdLinhas = Integer.parseInt(request.getParameter("linhas"));
        int qtdColunas = Integer.parseInt(request.getParameter("colunas"));
        double valor = Double.parseDouble(request.getParameter("valor"));

        try {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Tabela</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Tabela</h1><br>");
            
            out.println("<table border=1>");
            for( int l=1; l<= qtdLinhas; l++ ){
                out.println("<tr>");
                for( int c=1; c<= qtdColunas; c++ ){
                    //É célula da diagonal principal
                    if (l==c){
                        out.println("<td><b>X</b></td>");
                    } else{
                        out.println("<td>"+ Math.pow(valor,2) +"</td>");
                    }
                }
                out.println("</tr>");
            }
            out.println("</table>");

            out.println("</body>");
            out.println("</html>");
        } finally { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
